
extern "C" {
	void BMXBinder_bindDeconstructor(BMXBinder* bind,void (*bindDecon)(s32 binding))
	{
		if (bind)
			bind->bindDeconstructor(bindDecon);
	}

	void BMXBinder_setBinding(BMXBinder* bind,s32 newbinding)
	{
		if (bind)
			bind->setBinding(newbinding);
	}

	s32 BMXBinder_getBinding(BMXBinder* bind)
	{
		if (bind)
			return bind->getBinding();
		else return 0;
	}

	void BMXBinder_del(BMXBinder* del)
	{
		if (del)
			delete del;
			
		del=0;
	}
}

